iphone unlcoking

Discussion in 'Jailbreaks and iOS Hacks' started by surajnangia, Mar 11, 2008.

  1. surajnangia macrumors 6502

    Joined:
    Jan 30, 2006
    #1
    Hi,,,
    I know there are a lot of threDS regarding this but i am a computer novice...
    I have iphone 1.0.2 and want to upgrade to 1.1.1....

    Plzz tell me the easiest way i can do it.... Plz provide the link.. i will be verygrateful...

    Thank
     
  2. mattfick12 macrumors member

    Joined:
    Mar 5, 2008
  3. Mactagonist macrumors 6502a

    Joined:
    Feb 5, 2008
    Location:
    NYC - Manhattan
    #3
    plug phone into itunes.

    Backup and restore phone to newest software.

    Download Ziphone.

    Click 'do it all'

    Restore your data with itunes, chosing 'set up as new phone'.
     
  4. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #4
    If it was unlocked using a previous type of unlock like anySIM 1.0.2 or iUnlock, then you need to Virginize first. Then and only then can you update to 1.1.1.

    Use this site for your needs, its really helpful.
     
  5. spinstorm macrumors 65816

    Joined:
    Sep 14, 2007
    #5
    If you have a 1.0.2 iPhone unlocked with AnySIM I would recommend purchasing an iPhone SIM Free licence for $60/£30 as it will FIX the problem with your phone and you WILL NOT have to virginise and it will stay unlocked all the way up to the current firmware of 1.1.4.

    That would be my advice to you as it is MUCH easier than virginising and locking and unlocking the phone continuously.

    www.hackthatphone.com has brilliant photo tutorials of the process.

    Also check www.iphonesimfree.com make sure you download the version for 1.1.1 updated 1.0.2 iPhones and register your IMEI when you pay so its on the system.

    The process for me was very simple.

    First download the 1.1.1 and 1.1.4 firmware from hackthatphone.com

    Using the 1.1.1 downloaded firmware open iTunes and clicked on shift+the restore button on the screen and select the 1.1.1 firmware.

    The phone will update and go to the slide to unlock screen but you won't be able to activate it as the phone is corrupt.

    Now downgrade in iTunes to 1.0.2 again using the same shift+restore and selecting the 1.0.2 firmware (make sure you have it and if not download that as well!).

    It will restore but give you an error at the end - use Independence (Mac) or iBrikr (PC) to turn the phone on and then reconnect to iTunes and it will activate it.

    Then follow the guide on iPhoneSIMfree.com and download the software and run it.

    That will unlock the phone and FIX the corruption problem... you can then upgrade to 1.1.1 or 1.1.2 and the unlock will remain.

    If you do not have an official iPhone SIM then you obviously need to activate the phone. You can use Independence or AppTapp on 1.0.2 and jailbreakme.com on 1.1.1.

    If you decide to upgrade to 1.1.3 or 1.1.4 you will need signal.app to get a signal as although unlock remains it needs a "poke" in those firmwares when the phone turns on to "see" the network.

    Again you will need to activate these - I recommend Independence as the more full proof method but ZiPhone will activate and put Installer on your phone as will my personal favourite iPlus (which is brilliant!).

    Alternatively you can not pay for IPSF and virginise the phone and upgrade to 1.1.4 and unlock using iPlus. It is your choice!

    Make sure you read www.hackthatphone.com

    I also suggest you check the hacking forums at http://www.hackint0sh.org/forum/forumdisplay.php?f=136

    If you have more detailed questions then post there as that is where all the hackers post!
     
  6. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #6
    Thats a lengthly process, not requiered anymore. Just use the web page I gave you. It will explain the process, plain and in 3 lines simple.
     
  7. spinstorm macrumors 65816

    Joined:
    Sep 14, 2007
    #7
    Apparently you can just restore to 1.1.4 from 1.0.2 anysim unlocked and you iPlus to activate/JB and unlock and it will be fine according to people on hackint0sh.

    I prefer the IPSF method myself as the hassle you get IF something goes wrong is worth a bit more effort upgrading but then again maybe there will be no issues and your'll be in super easy - its your choice!
     
  8. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #8
    I won't deny that it is better to use IPSF; however, IPSF becomes unstable from 1.1.3 on, so if he wished to go to 1.1.3 that will be a problem. I have IPSF and I used ZiPhone to correct said problem.

    Anyhow, ZiPhone is your friend.
     
  9. spinstorm macrumors 65816

    Joined:
    Sep 14, 2007
    #9
    You just use signal.app and it will work perfectly!

    and although ZiPhone layed the groundwork for unlocking/JB its not perfect.

    ZiPhone can cause your wi-fi to stop working - and doesn't install everything you need when you use it.

    iPlus using ZiPhone's method and improves on it and unlocks and downgrades the bootloader to 3.9fb which means that it CAN be upgraded again (ZiPhone doesn't do this or allow it) and it also installs installer and all the sources and BSD subsystem etc making life much easier and safer than any other method so far (with the exception of Independence but that puts an old baseband on the phone and iPlus unlocks the latest version!).

    http://www.hackint0sh.org/forum/forumdisplay.php?f=136

    Step by Step tutorial for iPlus 2.0 with photos:

    http://www.hackthatphone.com/114/iphone_114_true_unlock_windows.html

    there is also one for mac if you check the site!
     
  10. jav6454 macrumors P6

    jav6454

    Joined:
    Nov 14, 2007
    Location:
    1 Geostationary Tower Plaza
    #10
    Touche, iPlus is a ZiPhone program with better qualities, I've read all about it recently. True, ZiPhone has Wi-Fi problems, but they are solvable after a Restore, but its a hassle, so yeah use iPlus 2.0.
     

Share This Page